package com.gic.store.service.impl;

import com.gic.commons.util.EntityUtil;
import com.gic.store.dao.mapper.TabStoreFieldSelectMapper;
import com.gic.store.dto.StoreFieldSelectDTO;
import com.gic.store.entity.TabStoreFieldSelect;
import com.gic.store.service.StoreFieldSelectService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * @author guojx
 * @date 2019/7/1 2:48 PM
 */
@Service("storeFieldSelectService")
public class StoreFieldSelectServiceImpl implements StoreFieldSelectService{
    @Autowired
    private TabStoreFieldSelectMapper tabStoreFieldSelectMapper;

    @Override
    public int save(StoreFieldSelectDTO storeFieldSelectDTO) {
        return tabStoreFieldSelectMapper.insert(EntityUtil.changeEntityNew(TabStoreFieldSelect.class, storeFieldSelectDTO));
    }
}
